(* Associative unification based on akin of Plotkin's algorithm.

   Remark:
   This algorithm correctly works only if an input equation
   consists of linear terms that share no variables.
 *)

type subst = (string * Coll_term.t) list

val unify : string list -> Coll_term.t -> Coll_term.t -> subst list 

val matcher : string list -> Coll_term.t -> Coll_term.t -> subst list

val nf : string list -> Coll_term.trs -> Coll_term.t -> Coll_term.t

val equal : string list -> Coll_term.t -> Coll_term.t -> bool
